Bug 844293 - [RFE] Environment and organization names should be case insensitive i.e. Env and env and ENV should be treated as equals.
[RFE] Environment and organization names should be case insensitive i.e. Env ...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: 1.3
Assigned To: Eric Sammons
Tazim Kolhar
: FutureFeature, Triaged
Depends On:
Blocks: 847037
  Show dependency treegraph
 
Reported: 2012-07-30 04:51 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 847037 (view as bug list)
Environment:
Last Closed: 2012-12-18 11:31:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
environment name validation (51.08 KB, image/png)
2012-07-30 04:51 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-07-30 04:51:13 EDT
Created attachment 601156 [details]
environment name validation

Description of problem:
A new environment similar to one already created is accepted in case the 
the names are derived from opposite cases (case insensitive)

Version-Release number of selected component (if applicable):
[root@nec-em16 ~]# rpm -qa | grep katello
katello-cli-common-0.2.45-1.fc16.noarch
katello-glue-foreman-0.2.50-1.fc16.noarch
katello-glue-pulp-0.2.50-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.32-1.fc16.noarch
katello-glue-candlepin-0.2.50-1.fc16.noarch
katello-all-0.2.53-1.fc16.noarch
katello-common-0.2.50-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-0.2.45-1.fc16.noarch
katello-0.2.50-1.fc16.noarch
katello-repos-0.2.7-1.fc16.noarch


How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.Log in to Server UI
2.Navigate Administer
3.Go to Manage Organisation
4.Click on the organisation
5.Add environment
6.Enter name same as one the already created environment
  but keep the case opposite (Upper case letters or Lower case letters)

Actual results:
No validation is done and the environment is created  

Expected results:
A validation should be provided 

Additional info:
screen shot attached
Comment 2 Tom McKay 2012-12-18 11:31:54 EST
Working as designed

Note You need to log in before you can comment on or make changes to this bug.